Subject: bug#21284: 25.0.50; `completion-file-name-table' should/not use `nreverse'?

From: Noam Postavsky <[email-masked]>
Date: Mon, 6 Jun 2016 19:12:01 -0400

tag 21284 - unreproducible
severity 21284 minor
quit

On Mon, Jun 6, 2016 at 10:43 AM, Eli Zaretskii <[email-masked]> wrote:
> I suspect that there's a hidden factor here: the order in which the
> 'readdir' libc function returns the directory entries.  On GNU/Linux,
> the order is arbitrary (AFAIK, it's the order of the entries in the
> directory file).  On MS-Windows, the order is alphabetic, so reversing
> will produce the reverse alphabetic order.  I don't know what happens
> on OS X.

Oh yeah, I see reversed order on Windows.

On Mon, Jun 6, 2016 at 12:19 PM, Keith David Bershatsky <[email-masked]> wrote:
> I am on OS X and the default sort order is alphabetic, which gets reversed by `completion-file-name-table` because it uses `nreverse'.

Actually, the result from `file-name-all-completions` is already
reversed. `completion-file-name-table` then reverses it twice: once in
the loop (dolist (tem all) (... (push tem comp))), and the `nreverse`
call to undo it.